@echo off
rem ImageWorks
rem Author: Elena Feroe
rem Date: January 27, 2011
rem Universal EVA Drivers

rem Determine if this is Windows 2000
ver | find "2000" > nul
if %ERRORLEVEL% == 0 goto noinstall

rem read in the version from systeminfo
if not exist %SystemRoot%\system32\systeminfo.exe goto noinstall
md c:\eva
if exist c:\eva\result.txt del c:\eva\result.txt

rem determine if the processor if 32 or 64 bits
rem Search for "System type" 
systeminfo | find "System type" > c:\eva\systemtype.txt
FOR /F "usebackq delims=: tokens=2" %%i IN (c:\eva\systemtype.txt) DO set vers=%%i
echo %vers% | find "64" > nul
if %ERRORLEVEL% == 0 goto x64

rem Search for "System Type"
systeminfo | find "System Type" > c:\eva\systemtype.txt
FOR /F "usebackq delims=: tokens=2" %%i IN (c:\eva\systemtype.txt) DO set vers=%%i
echo %vers% | find "64" > nul
if %ERRORLEVEL% == 0 goto x64

:i386
rem We got to the 32-bit section, ok to install
rem Launch the 32-bit Driver installer
32-bit\setup.exe
rem Launch the DPINST tool
c:\eva\x86\dpinst.exe /sa /f
start "" /MAX "EVA_dos_donts.mht"
goto end

:x64
rem we only allow installation of 64-bit drivers on Windows 7
rem find the OS name
systeminfo | find "OS Name" > c:\eva\osname.txt
FOR /F "usebackq delims=: tokens=2" %%i IN (c:\eva\osname.txt) DO set vers=%%i
echo %vers% | find "Windows 7" > nul
if %ERRORLEVEL% == 0 goto win7

:noinstall
echo "The EVA drivers cannot be installed on this operating system." > c:\eva\result.txt
goto end

:win7
rem we got to Windows 7 64-bit, ok to install now
rem Launch the 64-bit Driver Installer
64-bit\setup.exe
rem Launch the DPINST tool
c:\eva\x64\dpinst.exe /sa /f
start "" /MAX "EVA_dos_donts.mht"

:end
pause
exit